Bug 110158 - Installer FAILS to correctly render screen on ATI rage mobility
Installer FAILS to correctly render screen on ATI rage mobility
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i686 Linux
high Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-15 10:35 EST by tim gray
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 02:29:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tim gray 2003-11-15 10:35:56 EST
Description of problem:

After trying on 5 different laptops all fail in one way or another
with the graphical installer if they have the ATI rage mobility
chipset. previous version of installer worked. fedora core 1 does not
or will render screen with major artifacts.



Version-Release number of selected component (if applicable):
Fedora Core 1 ISO images 

How reproducible:
Every single time. if the machine has ATI rage mobility as it's
chipset it FAILS.

Steps to Reproduce:
1.insert CD1
2. boot
3. view the screen

 
Actual results:
heavy artifacts on screen or blank screen as LCD is put in a wierd mode

Expected results:
normal install screen

Additional info:
Tried this on several Compaq Armada's and Evo laptops failed on ALL.
Comment 1 Jeremy Katz 2003-11-17 17:39:58 EST
Does it come up in the laptop's native resolution?  If not, does
adding 'resolution=1024x768' (or whatever the native resolution
happens to be) help?
Comment 2 tim gray 2003-12-02 12:00:38 EST
Yes it comes up in the laptop's native resolution except for the one
armada laptop here that has a 1280X1024 capable screen.

adding the suggested command does not help.  I still get the vertical
line artifacts on every graphic and screen.

NOTE: this is a copy I downloaded off the bittorrent lonk from the
fedora website.  I am going to re-try with ISO's downloaded from the
official fedora FTP site later today to see if it's simply that the
iso files available via bittorrent are corrupt.
Comment 3 Jeremy Katz 2003-12-02 12:25:28 EST
This sounds likely to be an incompatibility with the specific chip and
the X driver.  Could you provide the output of lspci -vn?
Comment 4 Mike A. Harris 2003-12-03 13:57:34 EST
It is unlikely a bad download would cause anything like this.  I
wouldn't bother testing an alternate download.

If you haven't gotten the OS installed yet, do an installation
in text mode, then configure XFree86 afterward by hand using:

redhat-config-xfree86 --reconfig

After reproducing the problem, attach your X server log file and
config file to the bug report using bugzilla file attachment feature,
for me to investigate.

TIA
Comment 5 tim gray 2004-02-12 15:01:15 EST
after installing X is fine... only the installer causes these artifacts

is there a way to get the infor you need out of the installer?
Comment 6 Michael Forbes 2004-08-29 17:40:48 EDT
I have also had lots of trouble with my Dell Inspiron 7500 and its ATI
chip.  I had nice success with RH 7.3/8/9.  I went to gentoo, and had
some trouble, but it worked okay.  When I went to Debian, it didn't
work at all (black screen), and I learned that the args "vga=2" and
"vga=791" make it work - kinda.  When doing a Fedora Core 2 install on
my laptop, I also got a black screen, so using the vga=2 kernel
option, got it working.  I put that arg in my kernel and haven't tried
without it.  Here is some info on my chipset:

[root@zeno miforbes]# lspci -vn
....
01:00.0 Class 0300: 1002:4c4d (rev 64)
        Subsystem: 1028:009e
        Flags: bus master, stepping, medium devsel, latency 66, IRQ 11
        Memory at fd000000 (32-bit, non-prefetchable)
        I/O ports at 2000 [size=256]
        Memory at fc100000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [50] AGP version 1.0
        Capabilities: [5c] Power Management version 1
[root@zeno miforbes]# lspci -v
...
01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility
P/M AGP 2x (rev 64) (prog-if 00 [VGA])
        Subsystem: Dell Computer Corporation: Unknown device 009e
        Flags: bus master, stepping, medium devsel, latency 66, IRQ 11
        Memory at fd000000 (32-bit, non-prefetchable)
        I/O ports at 2000 [size=256]
        Memory at fc100000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [50] AGP version 1.0
        Capabilities: [5c] Power Management version 1


Comment 7 Mike A. Harris 2004-10-12 02:29:57 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.